/*
 * ArchiveExtractingException.java
 *
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.file.statistics;


/**
 * <p>
 * New exception added since version 2.0c to encapsulate an error from the FileExtractor interface.
 * </p>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 2.0c
 * @since 2.0c
 */
public class ArchiveExtractingException extends FileStatisticsException {
    /**
     * <p>
     * Creates exception with error message. The error message can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     */
    public ArchiveExtractingException(String message) {
        super(message);
    }
    
    /**
     * <p>
     * Creates exception with error message and cause error. The error message and cause can be null, however.
     * </p>
     *
     * @param message the error message describing the exception
     * @param cause the cause of the exception
     */
    public ArchiveExtractingException(String message, Throwable cause) {
        super(message, cause);
    }
}
